<?php

namespace FiloBlu\Flow\Model\Parser\Filters;

/**
 * Class Configurable
 * @package FiloBlu\Flow\Model\Parser\Filters
 */
class Configurable extends AbstractFilter
{
    /**
     * @param $value
     * @param $args
     * @return mixed|string
     */
    public function filter($value, $args)
    {
        $attributes = $args['attributes'];
        return $value . '#' . implode(',', $attributes);
    }
}